Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request GET \
--url 'https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}?hapikey='{
"appId": 123,
"defaultState": "ABSENT",
"flagName": "<string>",
"overrideState": "ABSENT"
}Retrieve the current status of the app’s feature flags. No request body is included.
curl --request GET \
--url 'https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}?hapikey='{
"appId": 123,
"defaultState": "ABSENT",
"flagName": "<string>",
"overrideState": "ABSENT"
}Supported products
successful operation
The ID of the app
The flag state for any portal that doesn't have an override value
ABSENT, OFF, ON The name of the flag
An optional flag value that overrides all others for this flag name and app, including portal-level values
ABSENT, OFF, ON Was this page helpful?